Package com.microsoft.sqlserver.jdbc

## Class SQLServerConnection43

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerConnection
  - - com.microsoft.sqlserver.jdbc.SQLServerConnection43

All Implemented Interfaces:
  `ISQLServerConnection`, `ISQLServerConnection43`, `java.lang.AutoCloseable`, `java.sql.Connection`, `java.sql.Wrapper`

    public class SQLServerConnection43
    extends SQLServerConnection
    implements ISQLServerConnection43

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Fields inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerConnection

`TRANSACTION_SNAPSHOT`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setShardingKey​(java.sql.ShardingKey shardingKey)`
`void` `setShardingKey​(java.sql.ShardingKey shardingKey, java.sql.ShardingKey superShardingKey)`
`boolean` `setShardingKeyIfValid​(java.sql.ShardingKey shardingKey, int timeout)`
`boolean` `setShardingKeyIfValid​(java.sql.ShardingKey shardingKey, java.sql.ShardingKey superShardingKey, int timeout)`

### Methods inherited from interface java.sql.Connection

`abort, beginRequest, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerConnection

`getClientConnectionId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerConnection

`abort, beginRequest, clearWarnings, close, closeUnreferencedPreparedStatementHandles, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientConnectionId, getClientInfo, getClientInfo, getColumnEncryptionTrustedMasterKeyPaths, getDisableStatementPooling, getDiscardedServerPreparedStatementCount, getEnablePrepareOnFirstPreparedStatementCall, getHoldability, getMetaData, getNetworkTimeout, getSchema, getSendTimeAsDatetime, getServerPreparedStatementDiscardThreshold, getStatementHandleCacheEntryCount, getStatementPoolingCacheSize, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isStatementPoolingEnabled, isValid, isWrapperFor, nativeSQL, prepareCall, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, registerColumnEncryptionKeyStoreProviders, releaseSavepoint, removeColumnEncryptionTrustedMasterKeyPaths, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setColumnEncryptionKeyCacheTtl, setColumnEncryptionTrustedMasterKeyPaths, setDisableStatementPooling, setEnablePrepareOnFirstPreparedStatementCall, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setSendTimeAsDatetime, setServerPreparedStatementDiscardThreshold, setStatementPoolingCacheSize, setTransactionIsolation, setTypeMap, toString, unwrap, updateColumnEncryptionTrustedMasterKeyPaths`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### setShardingKey

    public void setShardingKey​(java.sql.ShardingKey shardingKey)
                        throws SQLServerException

Specified by:
  `setShardingKey` in interface `java.sql.Connection`
Specified by:
  `setShardingKey` in interface `ISQLServerConnection43`
Throws:
  `SQLServerException`

#### setShardingKey

    public void setShardingKey​(java.sql.ShardingKey shardingKey,
                               java.sql.ShardingKey superShardingKey)
                        throws SQLServerException

Specified by:
  `setShardingKey` in interface `java.sql.Connection`
Specified by:
  `setShardingKey` in interface `ISQLServerConnection43`
Throws:
  `SQLServerException`

#### setShardingKeyIfValid

    public boolean setShardingKeyIfValid​(java.sql.ShardingKey shardingKey,
                                         int timeout)
                                  throws SQLServerException

Specified by:
  `setShardingKeyIfValid` in interface `java.sql.Connection`
Specified by:
  `setShardingKeyIfValid` in interface `ISQLServerConnection43`
Throws:
  `SQLServerException`

#### setShardingKeyIfValid

    public boolean setShardingKeyIfValid​(java.sql.ShardingKey shardingKey,
                                         java.sql.ShardingKey superShardingKey,
                                         int timeout)
                                  throws SQLServerException

Specified by:
  `setShardingKeyIfValid` in interface `java.sql.Connection`
Specified by:
  `setShardingKeyIfValid` in interface `ISQLServerConnection43`
Throws:
  `SQLServerException`